[pkg-kolab] r288 - trunk/kolab-resource-handlers/debian
Noel Koethe
noel at costa.debian.org
Wed Feb 8 12:07:47 UTC 2006
Author: noel
Date: 2006-02-08 12:07:45 +0000 (Wed, 08 Feb 2006)
New Revision: 288
Modified:
trunk/kolab-resource-handlers/debian/postinst
Log:
enable needed apache modules in postinst
Modified: trunk/kolab-resource-handlers/debian/postinst
===================================================================
--- trunk/kolab-resource-handlers/debian/postinst 2006-02-08 11:57:31 UTC (rev 287)
+++ trunk/kolab-resource-handlers/debian/postinst 2006-02-08 12:07:45 UTC (rev 288)
@@ -19,6 +19,9 @@
chown www-data:root /var/log/kolab/freebusy.log
chmod 640 /var/log/kolab/freebusy.log
fi
+}
+
+create_cache() {
if ! [ -d /var/lib/kolab/freebusy-cache ] ; then
echo "Creating freebusy cache directory"
mkdir /var/lib/kolab/freebusy-cache
@@ -26,9 +29,30 @@
fi
}
+enable_apache_mods() {
+ if ! [ -e /etc/apache2/mods-enabled/rewrite.load ] ; then
+ echo "Enable Apache2 module: rewrite"
+ /usr/sbin/a2enmod rewrite
+ fi
+ if ! [ -e /etc/apache2/mods-enabled/ssl.load ] ; then
+ echo "Enable Apache2 module: ssl"
+ /usr/sbin/a2enmod ssl
+ fi
+ if ! [ -e /etc/apache2/mods-enabled/php4.load ] ; then
+ echo "Enable Apache2 module: php4"
+ /usr/sbin/a2enmod php4
+ fi
+ if ! [ -e /etc/apache2/mods-enabled/ldap.load ] ; then
+ echo "Enable Apache2 module: ldap"
+ /usr/sbin/a2enmod ldap
+ fi
+}
+
case "$1" in
configure)
create_log
+ create_cache
+ enable_apache_mods
;;
abort-upgrade|abort-deconfigure|abort-remove)
:
More information about the pkg-kolab-devel
mailing list